<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_151) on Thu Jan 18 13:47:16 GMT+01:00 2018 -->
<title>Variante1</title>
<meta name="date" content="2018-01-18">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Variante1";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Variante1.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../noyau/Valeur.html" title="enum in noyau"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../noyau/Variante10.html" title="class in noyau"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?noyau/Variante1.html" target="_top">Frames</a></li>
<li><a href="Variante1.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">noyau</div>
<h2 title="Class Variante1" class="title">Class Variante1</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../noyau/Regle.html" title="class in noyau">noyau.Regle</a></li>
<li>
<ul class="inheritance">
<li>noyau.Variante1</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../noyau/Variante10.html" title="class in noyau">Variante10</a>, <a href="../noyau/Variante11.html" title="class in noyau">Variante11</a>, <a href="../noyau/Variante13.html" title="class in noyau">Variante13</a>, <a href="../noyau/Variante14.html" title="class in noyau">Variante14</a>, <a href="../noyau/Variante15.html" title="class in noyau">Variante15</a>, <a href="../noyau/Variante16.html" title="class in noyau">Variante16</a>, <a href="../noyau/Variante17.html" title="class in noyau">Variante17</a>, <a href="../noyau/variante2.html" title="class in noyau">variante2</a>, <a href="../noyau/Variante4.html" title="class in noyau">Variante4</a>, <a href="../noyau/Variante5.html" title="class in noyau">Variante5</a>, <a href="../noyau/Variante6.html" title="class in noyau">Variante6</a>, <a href="../noyau/Variante7.html" title="class in noyau">Variante7</a>, <a href="../noyau/Variante8.html" title="class in noyau">Variante8</a>, <a href="../noyau/Variante9.html" title="class in noyau">Variante9</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">Variante1</span>
extends <a href="../noyau/Regle.html" title="class in noyau">Regle</a></pre>
<div class="block">Classe définissant les diffents effets des cartes selon les règles de la variante1</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Variante1.html#numeroDeRegle">numeroDeRegle</a></span></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.noyau.Regle">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;noyau.<a href="../noyau/Regle.html" title="class in noyau">Regle</a></h3>
<code><a href="../noyau/Regle.html#nombreCarte">nombreCarte</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../noyau/Variante1.html#Variante1-console.Affichable-">Variante1</a></span>(<a href="../console/Affichable.html" title="interface in console">Affichable</a>&nbsp;a)</code>
<div class="block">Constructeur de la classe
 La variante hérite de règle</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Variante1.html#as-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">as</a></span>(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
  <a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
  <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouee,
  <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
  <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>
<div class="block">Redéfinition de la méthode as de la classe Regle</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Variante1.html#cinq-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-noyau.Joueur-">cinq</a></span>(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche,
    <a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Variante1.html#dame-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dame</a></span>(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Variante1.html#deux-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">deux</a></span>(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Variante1.html#dix-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dix</a></span>(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
   <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
   <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
   <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Variante1.html#huit-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">huit</a></span>(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Variante1.html#neuf-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">neuf</a></span>(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Variante1.html#quatre-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-noyau.Joueur-">quatre</a></span>(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
      <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
      <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
      <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche,
      <a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Variante1.html#roi-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">roi</a></span>(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
   <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
   <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
   <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Variante1.html#sept-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">sept</a></span>(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Variante1.html#six-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">six</a></span>(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
   <a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
   <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
   <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
   <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;piocher)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Variante1.html#trois-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">trois</a></span>(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
     <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
     <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
     <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Variante1.html#valet-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">valet</a></span>(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
     <a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
     <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
     <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
     <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.noyau.Regle">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;noyau.<a href="../noyau/Regle.html" title="class in noyau">Regle</a></h3>
<code><a href="../noyau/Regle.html#applicationRegle-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">applicationRegle</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="numeroDeRegle">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>numeroDeRegle</h4>
<pre>public static final&nbsp;int numeroDeRegle</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#noyau.Variante1.numeroDeRegle">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Variante1-console.Affichable-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Variante1</h4>
<pre>public&nbsp;Variante1(<a href="../console/Affichable.html" title="interface in console">Affichable</a>&nbsp;a)</pre>
<div class="block">Constructeur de la classe
 La variante hérite de règle</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>affichable</code> - </dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../noyau/Regle.html" title="class in noyau"><code>Regle</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="as-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>as</h4>
<pre>public&nbsp;int&nbsp;as(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
              <a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
              <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouee,
              <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
              <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)
       throws <a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></pre>
<div class="block">Redéfinition de la méthode as de la classe Regle</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../noyau/Regle.html#as-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">as</a></code>&nbsp;in class&nbsp;<code><a href="../noyau/Regle.html" title="class in noyau">Regle</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>joueur</code> - </dd>
<dd><code>joueursuivant</code> - </dd>
<dd><code>cartejouee</code> - </dd>
<dd><code>pile</code> - </dd>
<dd><code>pioche</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>la methode renvoie 1, la variable tour sera incrémentée de 1</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../noyau/Regle.html#as-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-"><code>Permet d'appliquer les effet des as en fonction de la variante1
 Lance PoserCarteExeption si la carte n'est pas jouable</code></a>, 
<a href="../noyau/Controleur.html" title="class in noyau"><code>Controleur</code></a></dd>
</dl>
</li>
</ul>
<a name="roi-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>roi</h4>
<pre>public&nbsp;int&nbsp;roi(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
               <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
               <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
               <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)
        throws <a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../noyau/Regle.html#roi-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">roi</a></code>&nbsp;in class&nbsp;<code><a href="../noyau/Regle.html" title="class in noyau">Regle</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></code></dd>
</dl>
</li>
</ul>
<a name="dame-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dame</h4>
<pre>public&nbsp;int&nbsp;dame(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
                <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
                <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
                <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)
         throws <a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../noyau/Regle.html#dame-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dame</a></code>&nbsp;in class&nbsp;<code><a href="../noyau/Regle.html" title="class in noyau">Regle</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></code></dd>
</dl>
</li>
</ul>
<a name="valet-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>valet</h4>
<pre>public&nbsp;int&nbsp;valet(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
                 <a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
                 <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
                 <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
                 <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)
          throws <a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../noyau/Regle.html#valet-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">valet</a></code>&nbsp;in class&nbsp;<code><a href="../noyau/Regle.html" title="class in noyau">Regle</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></code></dd>
</dl>
</li>
</ul>
<a name="dix-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dix</h4>
<pre>public&nbsp;int&nbsp;dix(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
               <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
               <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
               <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)
        throws <a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../noyau/Regle.html#dix-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dix</a></code>&nbsp;in class&nbsp;<code><a href="../noyau/Regle.html" title="class in noyau">Regle</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></code></dd>
</dl>
</li>
</ul>
<a name="neuf-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>neuf</h4>
<pre>public&nbsp;int&nbsp;neuf(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
                <a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
                <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
                <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
                <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)
         throws <a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../noyau/Regle.html#neuf-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">neuf</a></code>&nbsp;in class&nbsp;<code><a href="../noyau/Regle.html" title="class in noyau">Regle</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></code></dd>
</dl>
</li>
</ul>
<a name="huit-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>huit</h4>
<pre>public&nbsp;int&nbsp;huit(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
                <a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
                <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
                <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
                <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)
         throws <a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../noyau/Regle.html#huit-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">huit</a></code>&nbsp;in class&nbsp;<code><a href="../noyau/Regle.html" title="class in noyau">Regle</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></code></dd>
</dl>
</li>
</ul>
<a name="sept-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sept</h4>
<pre>public&nbsp;int&nbsp;sept(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
                <a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
                <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
                <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
                <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)
         throws <a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../noyau/Regle.html#sept-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">sept</a></code>&nbsp;in class&nbsp;<code><a href="../noyau/Regle.html" title="class in noyau">Regle</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></code></dd>
</dl>
</li>
</ul>
<a name="six-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>six</h4>
<pre>public&nbsp;int&nbsp;six(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
               <a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
               <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
               <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
               <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;piocher)
        throws <a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../noyau/Regle.html#six-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">six</a></code>&nbsp;in class&nbsp;<code><a href="../noyau/Regle.html" title="class in noyau">Regle</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></code></dd>
</dl>
</li>
</ul>
<a name="cinq-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-noyau.Joueur-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cinq</h4>
<pre>public&nbsp;int&nbsp;cinq(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
                <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
                <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
                <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche,
                <a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant)
         throws <a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../noyau/Regle.html#cinq-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-noyau.Joueur-">cinq</a></code>&nbsp;in class&nbsp;<code><a href="../noyau/Regle.html" title="class in noyau">Regle</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></code></dd>
</dl>
</li>
</ul>
<a name="quatre-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-noyau.Joueur-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>quatre</h4>
<pre>public&nbsp;int&nbsp;quatre(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
                  <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
                  <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
                  <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche,
                  <a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant)
           throws <a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../noyau/Regle.html#quatre-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-noyau.Joueur-">quatre</a></code>&nbsp;in class&nbsp;<code><a href="../noyau/Regle.html" title="class in noyau">Regle</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></code></dd>
</dl>
</li>
</ul>
<a name="trois-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>trois</h4>
<pre>public&nbsp;int&nbsp;trois(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
                 <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
                 <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
                 <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)
          throws <a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../noyau/Regle.html#trois-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">trois</a></code>&nbsp;in class&nbsp;<code><a href="../noyau/Regle.html" title="class in noyau">Regle</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></code></dd>
</dl>
</li>
</ul>
<a name="deux-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>deux</h4>
<pre>public&nbsp;int&nbsp;deux(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
                <a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
                <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
                <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
                <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)
         throws <a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../noyau/Regle.html#deux-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">deux</a></code>&nbsp;in class&nbsp;<code><a href="../noyau/Regle.html" title="class in noyau">Regle</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Variante1.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../noyau/Valeur.html" title="enum in noyau"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../noyau/Variante10.html" title="class in noyau"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?noyau/Variante1.html" target="_top">Frames</a></li>
<li><a href="Variante1.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
